Instalando TweetDeck no Ubuntu

Posted On 19 maio, 2009

Filed under Dicas
Tags: , , ,

Comments Dropped one response

OK o passo mais difícil para instalar o TweetDeck que eu achei foi o download já que o flash do Site do TweetDeck não funcionou aqui no meu firefox, nem no opera, nem no epiphany.

Solução? Burlar o sistema =P

o link da aplicação é formada da seguinte maneira:
http://www.tweetdeck.com/beta/%5BAplicativo%5D_%5BVersão%5D.%5Bextenção%5D

depois disso ficou fácil né. bom quero baixar a ultima versão então o link fica ssim

http://www.tweetdeck.com/beta/TweetDeck_0_25.air

Baixou? vamos instalar:

Aplicações->Acessórios -> Adobe AIR Application Installer

Então selecione o pacote que você acaba de baixar, mande instalar, indique um local no qual você deseja que ele seja instalado. irá pedir sua senha e pronto a aplicação vai abrir automaticamente!

Acesse o novo novo Dominio com todas esses posts atualizados e novos e interessantes outros posts. acesse já www.redrails.com.br

Anúncios

Utilizando JQuery no Rails com JRails

Posted On 12 maio, 2009

Filed under Tutoriais
Tags: , , ,

Comments Dropped leave a response

Bom, faz tempo que eu não coloco um Tutorial aqui e como vou passar ou já pessei esse conteúdo no mini-curso de Rails. aproveitei e vou postar aqui também.

1. Instalação

Console

./script/plugin install http://ennerchi.googlecode.com/svn/trunk/plugins/jrails

No NetBeans

Clique com o direito em seu projeto e vá em PLUG-INS RAILS, irá aparecer uma janela onde você clicará em REPOSITÓRIOS e no botão ADICIONAR URL. então você introduz a url do repositório:

http://ennerchi.googlecode.com/svn/trunk/plugins/

01 -Install_Jquery

Agora vá para a aba NOVOS PLUGINS encontre o JRAILS, o selecione e aperte no botão INSTALAR.

02 -Install_Jquery1

Após instalado feche a janela. uma pasta chamada jrails será criada na pasta Fornecedor(Vendor)/plugins

03 -Install_Jquery03

2. Configuração

Vamos então chamar os respectivos Js’s para nossa aplicação, para isso basta apenas inclur a seguinte tag(se ela já não existir) entre as TAGS<head> do seu APPLICATION.HTML.ERB.

<%= javascript_include_tag :defaults  %>
04 -Install_Jquery03

Vamos ver se tudo ocorreu corretamente. inicie a aplicação e observe o conteúdo da TAG<head>, se os arquivos jquery.js, jquery-ui.js, jrails.js foram carregados tudo está OK!

04 -Install_Jquery04

Então pode-se deletar os arquivos do prototipe =D

05 -Install_Jquery03

3. Utilização

Vamos fazer um coisinha simples, apenas pra testar nosso plugin. vamos criar um link para lugar nenhum que ao ser clicado ele mostrar os campos do formulário. que prefiamente vamos prepara-lo.

Primeiro vamos criar uma DIV entre os campos do formulário e como atributos dessa DIV um “ID=formulario” que vamos manipular e um STYLE=”display:none” assim fazendo com que esses campos começem ocultos.

bom vai ficar mais ou menos assim:

06 -Install_Jquery03

Pronto, se tudo ocorreu bem! seu formulario vai aparecer com um delay de 0.6 segundo definidos pelo 600 dentro do parametro SHOW.

Acesse o novo novo Dominio com todas esses posts atualizados e novos e interessantes outros posts. acesse já www.redrails.com.br

GEtna 0.6.0 (Betha) Liberado

Posted On 26 novembro, 2008

Filed under Noticias, Tutoriais
Tags: , , ,

Comments Dropped one response

Mesmo o gerador já estando disponível para uso a algum tempo eu queria finalizar algumas coisas antes de divulgar aqui no blog.

Para esse lançamento disponibilizamos alguns vídeos demonstrativos e um screencast dividido em 3 partes que exemplifica desde a instalação ate algumas funcionalidades presentes.

Screen Cast

Nota: os videos no Vimeo ficaram muito ruins, não sei se pela resolução ou pelo formato. na duvida baixe o arquivo. -.- (vou refazer os screencasts esse fim de semana)

Parte 1: instalação (VIMEO)
“Tive que remover esse link!” >Parte 1: instalação(Download)

Parte 2: Geração (VIMEO)
“Tive que remover esse link!”>Parte 2: Geração (Download)

Parte 3: Execução (VIMEO)
“Tive que remover esse link!” >Parte 3: Execução (Donwload)

Bonnus

“Tive que remover esse link!” target=”_blank”>Apresentação:

“Tive que remover esse link!” target=”_blank”>Utilização do GEtna no Windows com RadRails

“Tive que remover esse link!” target=”_blank”>Instalação do GEtna no Windows

“Tive que remover esse link!” target=”_blank”>Geração Utilizando Layout Default

“Tive que remover esse link!” target=”_blank”>Geração Utilizando Layout Depot

“Tive que remover esse link!” target=”_blank”>Geração Utilizando Layout Rails

“Tive que remover esse link!” target=”_blank”>Geração Utilizando Linha de Comando

Instalação:

Por ser um plugin nos padrões Rails e não possuindo qualquer dependência com outra ferramenta, a não ser o próprio Rails, sua instalação se torna bem trivial. O GEtna pode ser instalado, basicamente, de duas maneiras via GIT e manualmente. A maneira mais recomendada de se obter o gerador é via GIT bastando apenas se localizar dentro da pasta vendor/plugin/ dentro da aplicação Rails. Caso esteja no local certo e com GIT instalado na máquina basta utilizar o comando do Comando 1, ou utilizando o comando de instalação de Plugin do Rails descrito no Comando 2 da raiz da aplicação.

Comando 1
git clone git://github.com/LuizCarvalho/getna.git
Comando 2
Script/plugin install git://github.com/LuizCarvalho/getna.git

Esse comando, efetuado via console, pega a última versão do gerador no servidor do Github e o copia para a pasta local. Esse procedimento é o suficiente para que o gerador esteja totalmente funcional e pronto para ser utilizado.
A segunda maneira de instalar o GEtna é via download a partir do website do projeto no Github (http://github.com/LuizCarvalho/getna). Após o acesso ao site é necessário baixar o arquivo compactado (zip ou tar). A Figura 1 possui um fragmento da página onde se localiza o botão de download do projeto.

Instalação Via WEb

Instalação Manual

Após o arquivo baixado ele necessita ser descompactado e, logo após, renomeado para “getna”. Como no procedimento de instalação anterior o gerador necessita ser posicionado em no diretório referente aos plugins no projeto (vendor/plugin). Ao final de todo esse procedimento o gerador está pronto para ser utilizado.

Agradecimentos:
Silvio Fernandes e a Galera do Rails-BR

Como Instalar Sqlite3 no Ubuntu

Posted On 23 outubro, 2008

Filed under Uncategorized
Tags: , , ,

Comments Dropped 3 responses

Fala Galera

Para testar o Getna em diversos bancos de dados, como já tenho mysql e postgres, então resolvi instalar o Sqlite3 no meu Ubuntu. vamos lá.

userdev@dev-02:~/Área de Trabalho$ sudo gem install sqlite3-ruby
Building native extensions.  This could take a while...
ERROR:  Error installing sqlite3-ruby:
        ERROR: Failed to build gem native extension.

/usr/bin/ruby1.8 extconf.rb install sqlite3-ruby
checking for fdatasync() in -lrt... yes
checking for sqlite3.h... no

make
make: *** Sem regra para processar o alvo `ruby.h', necessário por `sqlite3_api_wrap.o'.  Pare.


Gem files will remain installed in /var/lib/gems/1.8/gems/sqlite3-ruby-1.2.4 for inspection.
Results logged to /var/lib/gems/1.8/gems/sqlite3-ruby-1.2.4/ext/sqlite3_api/gem_make.out

para Corrigir esse erro basta instalarmos a biblioteca libsqlite3-dev

userdev@dev-02:~/Área de Trabalho$ sudo apt-get install libsqlite3-dev 
[sudo] password for userdev: 
Lendo lista de pacotes... Pronto
Construindo árvore de dependências       
Lendo estado da informação... Pronto
Os seguintes pacotes foram instalados automaticamente e não são mais necessários:
  gnome-splashscreen-manager
Use 'apt-get autoremove' para removê-los.
Pacotes sugeridos:
  sqlite3-doc
Os NOVOS pacotes a seguir serão instalados:
  libsqlite3-dev
0 pacotes atualizados, 1 pacotes novos instalados, 0 a serem removidos e 1 não atualizados.
É preciso fazer o download de 0B/265kB de arquivos.
Após esta operação, 737kB adicionais de espaço em disco serão utilizados.
Selecionando pacote previamente não selecionado libsqlite3-dev.
(Lendo banco de dados ... 194821 arquivos e diretórios atualmente instalados.)
Descompactando libsqlite3-dev (de .../libsqlite3-dev_3.4.2-2_i386.deb) ...
Instalando libsqlite3-dev (3.4.2-2) ...

e agora sim podemos instalar nossa gem sem problemas

userdev@dev-02:~/Área de Trabalho$ sudo gem install sqlite3-ruby
Building native extensions.  This could take a while...
Successfully installed sqlite3-ruby-1.2.4
1 gem installed
Installing ri documentation for sqlite3-ruby-1.2.4...
Installing RDoc documentation for sqlite3-ruby-1.2.4...

🙂
Até a Próxima.